# htp on-line reference

## Table Of Contents

- Introduction
- Clarified Artistic License
- Tutorial
  - Macros
  - Including
  - Templates
  - Files
  - Metatags
- Usage
  - Command-line and response files
  - Options and customization
  - Predefined macros
  - global and expand
- HTP Tags
  - ALTTEXT
  - BLOCK, /BLOCK
  - BLOCKDEF, /BLOCKDEF
  - DEF, /DEF
  - FILE
  - IF, ELSEIF, ELSE, /IF
  - INC
  - IMG
  - IMAGEURL
  - OPT
  - OUTPUT
  - QUOTE
  - SET
  - UNDEF
  - UNSET
  - USE, $
  - WHILE
  - <!---
- Development history
- Feature wish list
- Bugs and other undesirables

hosted by Sourceforge HTML coding

Copyright © 1995–96 Jim Nelson. Copyright © 2001–2014 Jochen Hoenicke. Permission to reproduce and distribute this hypertext document granted according to terms described in the License section. last updated Sat May 16, 2015